> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raven.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication 

The Raven API uses API keys to authenticate requests. You can view API Key for your account in the [Raven Dashboard](https://console.ravenapp.dev/app/management/settings) (Dashboard -> Settings -> Account -> Account Details)

Raven API Key is common for all the apps in the account.

Do not share your API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.

<RequestExample>
  ```json Request Example theme={null}
  curl 'https://api.ravenapp.dev/v1/apps/{{app_id}}/events/send' \
  -H 'Authorization: AuthKey {{api_key}}' \
  -H 'Content-Type: application/json' \
  -d '{
  	"event": "test",
      "user" : {
          "mobile" : "+16666777778"
      },
  	"data": {
  		"order_id" : "ORD-123456"
  	}
  }'
  ```
</RequestExample>
